CMSIS-Driver: WiFi Protected Setup (WPS) Method

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
WiFi Protected Setup (WPS) Method
WiFi Management

Specifies WiFi WPS method for ARM_WIFI_Activate. More...

## Macros

#define | ARM_WIFI_WPS_METHOD_NONE 0U
| Not used. More...
#define | ARM_WIFI_WPS_METHOD_PBC 1U
| Push Button Configuration. More...
#define | ARM_WIFI_WPS_METHOD_PIN 2U
| PIN. More...

## Description

Specifies WiFi WPS method for ARM_WIFI_Activate.

The WiFi WPS method defines which WPS method is used.

## Macro Definition Documentation

#define ARM_WIFI_WPS_METHOD_NONE 0U

Not used.

WPS not used.

See Also
  WiFi Protected Setup (WPS) Method

#define ARM_WIFI_WPS_METHOD_PBC 1U

Push Button Configuration.

WPS with Push Button Configuration.

See Also
  WiFi Protected Setup (WPS) Method

#define ARM_WIFI_WPS_METHOD_PIN 2U

PIN.

WPS with PIN.

See Also
  WiFi Protected Setup (WPS) Method